const db = require('quick.db')

module.exports = {
  name: 'profile',
  description: 'See your profile or someone else\'s profile.',
  execute (event, args, bot) {
    const user = args[0] || event.nick
    if (db.get(user + '_score') == null) {
      bot.say(event.target, `${user}'s profile: Current height: 0 cm`)
    } else {
      bot.say(event.target, `${user}'s profile: Current height: ${db.get(user + '_score').toFixed(3)} cm`)
    }
  }
}
