const db = require('quick.db')

module.exports = {
  name: 'grow',
  description: 'Grow your cactus.',
  execute (event, args, bot) {
    let growRate = Math.random() * (db.get(event.nick + '_score') / 10)
    growRate = parseFloat(growRate.toFixed(3))
    if (growRate === 0) {
      growRate = 0.1
    }
    if (db.get(event.nick + '_score') == null) {
      db.set(event.nick + '_score', 1.000)
    }

    db.set(event.nick + '_score', parseFloat(db.get(event.nick + '_score') + parseFloat(growRate.toFixed(3))))
    bot.say(event.target, event.nick + ': You grew ' + growRate + ' cm, you are now ' + db.get(event.nick + '_score').toFixed(3) + ' cm.')
  }
}
